on mouseUp
  if isXtraInstalled("printomatic") = 0 then
    alert("The PrintOMatic Xtra is not installed. Printing is disabled.")
    exit
  end if
  doc = new(xtra("PrintOMatic"))
  if not objectp(doc) then
    alert("There is no currently selected printer. Printing features are disabled.")
    exit
  end if
  cursor(4)
  setDocumentName(doc, "PrintOMatic MX Order Form")
  setMargins(doc, rect(0, 0, 0, 0))
  drawPicture(doc, member("logo"), rect(115, 46, 400, 94))
  drawPicture(doc, member("address"), rect(36, 216, 126, 600))
  newPage(doc)
  newFrame(doc, rect(144, 108, getPageWidth(doc) - 72, getPageHeight(doc)), 0)
  setTextJust(doc, "center")
  append(doc, member("ordertitle"), 0)
  the itemDelimiter = ","
  y = integer(item 3 of getInsertionPoint(doc))
  newFrame(doc, rect(144, y, 144 + member("name&address").width, getPageHeight(doc)), 0)
  setTextJust(doc, "left")
  append(doc, member("orderIntro"), 0)
  setTextLineSpacing(doc, 24)
  append(doc, member("name&address"), 0)
  y = integer(item 3 of getInsertionPoint(doc))
  newFrame(doc, rect(144, y, 144 + member("name&address").width - member("priceCol").width, getPageHeight(doc)), 0)
  setTextLineSpacing(doc, 11)
  append(doc, member("productCol"), 0)
  bottom = integer(item 3 of getInsertionPoint(doc))
  newFrame(doc, rect(144 + member("name&address").width - member("priceCol").width, y, 144 + member("name&address").width, getPageHeight(doc)), 0)
  setTextJust(doc, "right")
  setTextLineSpacing(doc, 11)
  append(doc, member("priceCol"), 0)
  newFrame(doc, rect(144, bottom, 144 + member("name&address").width, getPageHeight(doc)), 0)
  append(doc, member("ordertotal"), 0)
  bottom = integer(item 3 of getInsertionPoint(doc))
  setTextJust(doc, "left")
  newFrame(doc, rect(144, bottom, 144 + member("name&address").width, getPageHeight(doc)), 0)
  append(doc, member("endinfo"), 0)
  cursor(-1)
  if word 1 of the text of cast the castNum of sprite the clickOn = "Preview" then
    printPreview(doc)
  else
    if doJobSetup(doc) = 1 then
      updateStage()
      print(doc)
    end if
  end if
  doc = 0
end
