on mouseUp
  if isXtraInstalled("printomatic") = 0 then
    alert("The PrintOMatic Xtra is not installed. Printing is disabled.")
    exit
  end if
  doc = new(xtra("PrintOMatic"))
  if not objectp(doc) then
    alert("There is no currently selected printer. Printing features are disabled.")
    exit
  end if
  cursor(4)
  setDocumentName(doc, "PrintOMatic MX Info Sheet")
  newPage(doc)
  h = member("printomatic mx").height
  setColor(doc, 0, 17, 58)
  drawRect(doc, rect(0, 0, getPageWidth(doc), h), 1)
  drawPicture(doc, member("printomatic mx"), rect(0, 0, getPageWidth(doc), h))
  setGray(doc, 5)
  drawRect(doc, rect(0, h, getPageWidth(doc), h + member("grayfade").height), 1)
  drawPicture(doc, member("grayfade"), rect(0, h, member("grayfade").width, h + member("grayfade").height))
  setColor(doc, 0, 17, 58)
  setLineWeight(doc, 3)
  drawRect(doc, rect(0, 0, getPageWidth(doc), h + member("grayfade").height), 0)
  colW = (getPageWidth(doc) / 2) - 18
  newFrame(doc, rect(12, h + 12, colW, getPageHeight(doc)), 1)
  append(doc, member("infoblurb1"), 0)
  newFrame(doc, rect(getPageWidth(doc) / 2, h + 12, getPageWidth(doc) - 12, getPageHeight(doc)), 0)
  append(doc, member("infoblurb2"), 0)
  cursor(-1)
  if word 1 of the text of cast the castNum of sprite the clickOn = "Preview" then
    printPreview(doc)
  else
    if doJobSetup(doc) = 1 then
      updateStage()
      print(doc)
    end if
  end if
  doc = 0
end
